---
title: Get an Access identity provider
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api)

[Zero Trust](https://developers.cloudflare.com/api/resources/zero_trust)

[Identity Providers](https://developers.cloudflare.com/api/resources/zero_trust/subresources/identity_providers)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get an Access identity provider

GET/{accounts\_or\_zones}/{account\_or\_zone\_id}/access/identity\_providers/{identity\_provider\_id}

Fetches a configured identity provider.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Access: Organizations, Identity Providers, and Groups Write``Access: Organizations, Identity Providers, and Groups Read`

##### P ath ParametersExpand Collapse

identity\_provider\_id: string

UUID.

maxLength36

[Link to this property](<#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20identity_provider_id%20%3E%20(schema)>)

account\_id: optional string

The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

[Link to this property](<#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

zone\_id: optional string

The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

[Link to this property](<#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

errors: array of object {code, message, documentation\_url, source }

</summary>

code: number

minimum1000

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: string

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: optional string

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: optional object {pointer }

</summary>

pointer: optional string

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20errors>)

<details>

<summary>

messages: array of object {code, message, documentation\_url, source }

</summary>

code: number

minimum1000

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: string

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: optional string

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: optional object {pointer }

</summary>

pointer: optional string

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20messages>)

success: true

Whether the API call was successful.

[Link to this property](<#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20success>)

<details>

<summary>

result: optional <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)">IdentityProvider</a>

</summary>

One of the following:

<details>

<summary>

AzureAD object {config, name, type, 5 more }

</summary>

<details>

<summary>

config: object {claims, client\_id, client\_secret, 5 more }

The configuration parameters for the identity provider. To view the required parameters for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

claims: optional array of string

Custom claims

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20claims">Link to this property</a>

client\_id: optional string

Your OAuth Client ID

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20client_id">Link to this property</a>

client\_secret: optional string

Your OAuth Client Secret

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20client_secret">Link to this property</a>

conditional\_access\_enabled: optional boolean

Should Cloudflare try to load authentication contexts from your account

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20conditional_access_enabled">Link to this property</a>

directory\_id: optional string

Your Azure directory uuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20directory_id">Link to this property</a>

email\_claim\_name: optional string

The claim name for email in the id\_token response.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20email_claim_name">Link to this property</a>

<details>

<summary>

prompt: optional "login"or "select\_account"or "none"

Indicates the type of user interaction that is required. prompt=login forces the user to enter their credentials on that request, negating single-sign on. prompt=none is the opposite. It ensures that the user isn’t presented with any interactive prompt. If the request can’t be completed silently by using single-sign on, the Microsoft identity platform returns an interaction\_required error. prompt=select\_account interrupts single sign-on providing account selection experience listing all the accounts either in session or any remembered account or an option to choose to use a different account altogether.

</summary>

One of the following:

"login"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20prompt%20%3E%20(member)%200">Link to this property</a>

"select\_account"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20prompt%20%3E%20(member)%201">Link to this property</a>

"none"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20prompt%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20prompt">Link to this property</a>

support\_groups: optional boolean

Should Cloudflare try to load groups from your account

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20support_groups">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20config">Link to this property</a>

name: string

The name of the identity provider, shown to users on the login page.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type: <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)">IdentityProviderType</a>

The type of identity provider. To determine the value for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

One of the following:

"onetimepin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"azureAD"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"saml"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"centrify"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

"facebook"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

"github"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

"google-apps"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%206">Link to this property</a>

"google"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%207">Link to this property</a>

"linkedin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%208">Link to this property</a>

"oidc"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%209">Link to this property</a>

"okta"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2010">Link to this property</a>

"onelogin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2011">Link to this property</a>

"pingone"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2012">Link to this property</a>

"yandex"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2013">Link to this property</a>

"cloudflare"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2014">Link to this property</a>

"passkeys"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2015">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

id: optional string

UUID.

maxLength36

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

read\_only: optional boolean

Indicates that the identity provider is immutable and cannot be updated or deleted via the API.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20read_only">Link to this property</a>

<details>

<summary>

saml\_certificate\_set: optional object {created\_at, uid, updated\_at, 2 more }

The SAML encryption certificate set details, including current and previous certificates. Only present for SAML identity providers with a certificate set assigned.

</summary>

created\_at: string

Timestamp when the certificate set was created

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20created_at">Link to this property</a>

uid: string

Unique identifier for the certificate set

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20uid">Link to this property</a>

updated\_at: string

Timestamp when the certificate set was last updated (e.g., during rotation)

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20updated_at">Link to this property</a>

<details>

<summary>

current\_certificate: optional object {is\_current, not\_after, public\_certificate, uid }

The currently active certificate used for encrypting SAML assertions

</summary>

is\_current: boolean

Indicates whether this is the currently active certificate

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20is_current">Link to this property</a>

not\_after: string

Certificate expiration date. Certificates are automatically rotated 30 days before expiration.

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20not_after">Link to this property</a>

public\_certificate: string

PEM-encoded X.509 certificate containing the public key. Configure this certificate in your external SAML Identity Provider to enable encryption.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20public_certificate">Link to this property</a>

uid: string

Unique identifier for the certificate

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20uid">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate">Link to this property</a>

previous\_certificate: optional unknown

The previous certificate, maintained during rotation to ensure continuity. Null if no rotation has occurred. Mirrors the structure of <code>saml_certificate</code>.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20previous_certificate">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set">Link to this property</a>

saml\_certificate\_set\_id: optional string

The UID of the SAML encryption certificate set assigned to this Identity Provider. Only present for SAML identity providers with encryption configured. Create a certificate set via POST to <code>/identity_providers/{id}/saml_certificate</code>.

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20saml_certificate_set_id">Link to this property</a>

<details>

<summary>

scim\_config: optional <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)">IdentityProviderSCIMConfig</a> { enabled, identity\_update\_behavior, scim\_base\_url, 3 more }

The configuration settings for enabling a System for Cross-Domain Identity Management (SCIM) with the identity provider.

</summary>

enabled: optional boolean

A flag to enable or disable SCIM for the identity provider.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

<details>

<summary>

identity\_update\_behavior: optional "automatic"or "reauth"or "no\_action"

Indicates how a SCIM event updates a user identity used for policy evaluation. Use “automatic” to automatically update a user’s identity and augment it with fields from the SCIM user resource. Use “reauth” to force re-authentication on group membership updates, user identity update will only occur after successful re-authentication. With “reauth” identities will not contain fields from the SCIM user resource. With “no\_action” identities will not be changed by SCIM updates in any way and users will not be prompted to reauthenticate.

</summary>

One of the following:

"automatic"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%200">Link to this property</a>

"reauth"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%201">Link to this property</a>

"no\_action"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior">Link to this property</a>

scim\_base\_url: optional string

The base URL of Cloudflare’s SCIM V2.0 API endpoint.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20scim_base_url">Link to this property</a>

seat\_deprovision: optional boolean

A flag to remove a user’s seat in Zero Trust when they have been deprovisioned in the Identity Provider. This cannot be enabled unless user\_deprovision is also enabled.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20seat_deprovision">Link to this property</a>

secret: optional string

A read-only token generated when the SCIM integration is enabled for the first time. It is redacted on subsequent requests. If you lose this you will need to refresh it at /access/identity\_providers/:idpID/refresh\_scim\_secret.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20secret">Link to this property</a>

user\_deprovision: optional boolean

A flag to enable revoking a user’s session in Access and Gateway when they have been deprovisioned in the Identity Provider.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20user_deprovision">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)%20%3E%20(property)%20scim_config">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20azure_ad%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

AccessCentrify object {config, name, type, 5 more }

</summary>

<details>

<summary>

config: object {centrify\_account, centrify\_app\_id, claims, 3 more }

The configuration parameters for the identity provider. To view the required parameters for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

centrify\_account: optional string

Your centrify account url

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20config%20%3E%20(property)%20centrify_account">Link to this property</a>

centrify\_app\_id: optional string

Your centrify app id

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20config%20%3E%20(property)%20centrify_app_id">Link to this property</a>

claims: optional array of string

Custom claims

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20config%20%3E%20(property)%20claims">Link to this property</a>

client\_id: optional string

Your OAuth Client ID

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20config%20%3E%20(property)%20client_id">Link to this property</a>

client\_secret: optional string

Your OAuth Client Secret

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20config%20%3E%20(property)%20client_secret">Link to this property</a>

email\_claim\_name: optional string

The claim name for email in the id\_token response.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20config%20%3E%20(property)%20email_claim_name">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20config">Link to this property</a>

name: string

The name of the identity provider, shown to users on the login page.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type: <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)">IdentityProviderType</a>

The type of identity provider. To determine the value for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

One of the following:

"onetimepin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"azureAD"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"saml"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"centrify"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

"facebook"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

"github"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

"google-apps"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%206">Link to this property</a>

"google"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%207">Link to this property</a>

"linkedin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%208">Link to this property</a>

"oidc"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%209">Link to this property</a>

"okta"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2010">Link to this property</a>

"onelogin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2011">Link to this property</a>

"pingone"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2012">Link to this property</a>

"yandex"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2013">Link to this property</a>

"cloudflare"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2014">Link to this property</a>

"passkeys"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2015">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

id: optional string

UUID.

maxLength36

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20id">Link to this property</a>

read\_only: optional boolean

Indicates that the identity provider is immutable and cannot be updated or deleted via the API.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20read_only">Link to this property</a>

<details>

<summary>

saml\_certificate\_set: optional object {created\_at, uid, updated\_at, 2 more }

The SAML encryption certificate set details, including current and previous certificates. Only present for SAML identity providers with a certificate set assigned.

</summary>

created\_at: string

Timestamp when the certificate set was created

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20created_at">Link to this property</a>

uid: string

Unique identifier for the certificate set

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20uid">Link to this property</a>

updated\_at: string

Timestamp when the certificate set was last updated (e.g., during rotation)

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20updated_at">Link to this property</a>

<details>

<summary>

current\_certificate: optional object {is\_current, not\_after, public\_certificate, uid }

The currently active certificate used for encrypting SAML assertions

</summary>

is\_current: boolean

Indicates whether this is the currently active certificate

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20is_current">Link to this property</a>

not\_after: string

Certificate expiration date. Certificates are automatically rotated 30 days before expiration.

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20not_after">Link to this property</a>

public\_certificate: string

PEM-encoded X.509 certificate containing the public key. Configure this certificate in your external SAML Identity Provider to enable encryption.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20public_certificate">Link to this property</a>

uid: string

Unique identifier for the certificate

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20uid">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate">Link to this property</a>

previous\_certificate: optional unknown

The previous certificate, maintained during rotation to ensure continuity. Null if no rotation has occurred. Mirrors the structure of <code>saml_certificate</code>.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20previous_certificate">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set">Link to this property</a>

saml\_certificate\_set\_id: optional string

The UID of the SAML encryption certificate set assigned to this Identity Provider. Only present for SAML identity providers with encryption configured. Create a certificate set via POST to <code>/identity_providers/{id}/saml_certificate</code>.

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20saml_certificate_set_id">Link to this property</a>

<details>

<summary>

scim\_config: optional <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)">IdentityProviderSCIMConfig</a> { enabled, identity\_update\_behavior, scim\_base\_url, 3 more }

The configuration settings for enabling a System for Cross-Domain Identity Management (SCIM) with the identity provider.

</summary>

enabled: optional boolean

A flag to enable or disable SCIM for the identity provider.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

<details>

<summary>

identity\_update\_behavior: optional "automatic"or "reauth"or "no\_action"

Indicates how a SCIM event updates a user identity used for policy evaluation. Use “automatic” to automatically update a user’s identity and augment it with fields from the SCIM user resource. Use “reauth” to force re-authentication on group membership updates, user identity update will only occur after successful re-authentication. With “reauth” identities will not contain fields from the SCIM user resource. With “no\_action” identities will not be changed by SCIM updates in any way and users will not be prompted to reauthenticate.

</summary>

One of the following:

"automatic"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%200">Link to this property</a>

"reauth"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%201">Link to this property</a>

"no\_action"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior">Link to this property</a>

scim\_base\_url: optional string

The base URL of Cloudflare’s SCIM V2.0 API endpoint.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20scim_base_url">Link to this property</a>

seat\_deprovision: optional boolean

A flag to remove a user’s seat in Zero Trust when they have been deprovisioned in the Identity Provider. This cannot be enabled unless user\_deprovision is also enabled.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20seat_deprovision">Link to this property</a>

secret: optional string

A read-only token generated when the SCIM integration is enabled for the first time. It is redacted on subsequent requests. If you lose this you will need to refresh it at /access/identity\_providers/:idpID/refresh\_scim\_secret.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20secret">Link to this property</a>

user\_deprovision: optional boolean

A flag to enable revoking a user’s session in Access and Gateway when they have been deprovisioned in the Identity Provider.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20user_deprovision">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20scim_config">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

AccessFacebook object {config, name, type, 5 more }

</summary>

<details>

<summary>

config: <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20generic_oauth_config%20%3E%20(schema)">GenericOAuthConfig</a> { client\_id, client\_secret }

The configuration parameters for the identity provider. To view the required parameters for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

client\_id: optional string

Your OAuth Client ID

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20generic_oauth_config%20%3E%20(schema)%20%3E%20(property)%20client_id">Link to this property</a>

client\_secret: optional string

Your OAuth Client Secret

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20generic_oauth_config%20%3E%20(schema)%20%3E%20(property)%20client_secret">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20config">Link to this property</a>

name: string

The name of the identity provider, shown to users on the login page.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type: <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)">IdentityProviderType</a>

The type of identity provider. To determine the value for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

One of the following:

"onetimepin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"azureAD"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"saml"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"centrify"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

"facebook"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

"github"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

"google-apps"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%206">Link to this property</a>

"google"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%207">Link to this property</a>

"linkedin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%208">Link to this property</a>

"oidc"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%209">Link to this property</a>

"okta"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2010">Link to this property</a>

"onelogin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2011">Link to this property</a>

"pingone"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2012">Link to this property</a>

"yandex"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2013">Link to this property</a>

"cloudflare"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2014">Link to this property</a>

"passkeys"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2015">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type">Link to this property</a>

id: optional string

UUID.

maxLength36

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20id">Link to this property</a>

read\_only: optional boolean

Indicates that the identity provider is immutable and cannot be updated or deleted via the API.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20read_only">Link to this property</a>

<details>

<summary>

saml\_certificate\_set: optional object {created\_at, uid, updated\_at, 2 more }

The SAML encryption certificate set details, including current and previous certificates. Only present for SAML identity providers with a certificate set assigned.

</summary>

created\_at: string

Timestamp when the certificate set was created

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20created_at">Link to this property</a>

uid: string

Unique identifier for the certificate set

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20uid">Link to this property</a>

updated\_at: string

Timestamp when the certificate set was last updated (e.g., during rotation)

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20updated_at">Link to this property</a>

<details>

<summary>

current\_certificate: optional object {is\_current, not\_after, public\_certificate, uid }

The currently active certificate used for encrypting SAML assertions

</summary>

is\_current: boolean

Indicates whether this is the currently active certificate

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20is_current">Link to this property</a>

not\_after: string

Certificate expiration date. Certificates are automatically rotated 30 days before expiration.

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20not_after">Link to this property</a>

public\_certificate: string

PEM-encoded X.509 certificate containing the public key. Configure this certificate in your external SAML Identity Provider to enable encryption.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20public_certificate">Link to this property</a>

uid: string

Unique identifier for the certificate

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20uid">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate">Link to this property</a>

previous\_certificate: optional unknown

The previous certificate, maintained during rotation to ensure continuity. Null if no rotation has occurred. Mirrors the structure of <code>saml_certificate</code>.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20previous_certificate">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set">Link to this property</a>

saml\_certificate\_set\_id: optional string

The UID of the SAML encryption certificate set assigned to this Identity Provider. Only present for SAML identity providers with encryption configured. Create a certificate set via POST to <code>/identity_providers/{id}/saml_certificate</code>.

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20saml_certificate_set_id">Link to this property</a>

<details>

<summary>

scim\_config: optional <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)">IdentityProviderSCIMConfig</a> { enabled, identity\_update\_behavior, scim\_base\_url, 3 more }

The configuration settings for enabling a System for Cross-Domain Identity Management (SCIM) with the identity provider.

</summary>

enabled: optional boolean

A flag to enable or disable SCIM for the identity provider.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

<details>

<summary>

identity\_update\_behavior: optional "automatic"or "reauth"or "no\_action"

Indicates how a SCIM event updates a user identity used for policy evaluation. Use “automatic” to automatically update a user’s identity and augment it with fields from the SCIM user resource. Use “reauth” to force re-authentication on group membership updates, user identity update will only occur after successful re-authentication. With “reauth” identities will not contain fields from the SCIM user resource. With “no\_action” identities will not be changed by SCIM updates in any way and users will not be prompted to reauthenticate.

</summary>

One of the following:

"automatic"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%200">Link to this property</a>

"reauth"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%201">Link to this property</a>

"no\_action"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior">Link to this property</a>

scim\_base\_url: optional string

The base URL of Cloudflare’s SCIM V2.0 API endpoint.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20scim_base_url">Link to this property</a>

seat\_deprovision: optional boolean

A flag to remove a user’s seat in Zero Trust when they have been deprovisioned in the Identity Provider. This cannot be enabled unless user\_deprovision is also enabled.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20seat_deprovision">Link to this property</a>

secret: optional string

A read-only token generated when the SCIM integration is enabled for the first time. It is redacted on subsequent requests. If you lose this you will need to refresh it at /access/identity\_providers/:idpID/refresh\_scim\_secret.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20secret">Link to this property</a>

user\_deprovision: optional boolean

A flag to enable revoking a user’s session in Access and Gateway when they have been deprovisioned in the Identity Provider.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20user_deprovision">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20scim_config">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

AccessGitHub object {config, name, type, 5 more }

</summary>

<details>

<summary>

config: <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20generic_oauth_config%20%3E%20(schema)">GenericOAuthConfig</a> { client\_id, client\_secret }

The configuration parameters for the identity provider. To view the required parameters for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

client\_id: optional string

Your OAuth Client ID

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20generic_oauth_config%20%3E%20(schema)%20%3E%20(property)%20client_id">Link to this property</a>

client\_secret: optional string

Your OAuth Client Secret

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20generic_oauth_config%20%3E%20(schema)%20%3E%20(property)%20client_secret">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20config">Link to this property</a>

name: string

The name of the identity provider, shown to users on the login page.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type: <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)">IdentityProviderType</a>

The type of identity provider. To determine the value for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

One of the following:

"onetimepin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"azureAD"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"saml"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"centrify"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

"facebook"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

"github"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

"google-apps"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%206">Link to this property</a>

"google"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%207">Link to this property</a>

"linkedin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%208">Link to this property</a>

"oidc"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%209">Link to this property</a>

"okta"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2010">Link to this property</a>

"onelogin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2011">Link to this property</a>

"pingone"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2012">Link to this property</a>

"yandex"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2013">Link to this property</a>

"cloudflare"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2014">Link to this property</a>

"passkeys"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2015">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type">Link to this property</a>

id: optional string

UUID.

maxLength36

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20id">Link to this property</a>

read\_only: optional boolean

Indicates that the identity provider is immutable and cannot be updated or deleted via the API.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20read_only">Link to this property</a>

<details>

<summary>

saml\_certificate\_set: optional object {created\_at, uid, updated\_at, 2 more }

The SAML encryption certificate set details, including current and previous certificates. Only present for SAML identity providers with a certificate set assigned.

</summary>

created\_at: string

Timestamp when the certificate set was created

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20created_at">Link to this property</a>

uid: string

Unique identifier for the certificate set

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20uid">Link to this property</a>

updated\_at: string

Timestamp when the certificate set was last updated (e.g., during rotation)

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20updated_at">Link to this property</a>

<details>

<summary>

current\_certificate: optional object {is\_current, not\_after, public\_certificate, uid }

The currently active certificate used for encrypting SAML assertions

</summary>

is\_current: boolean

Indicates whether this is the currently active certificate

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20is_current">Link to this property</a>

not\_after: string

Certificate expiration date. Certificates are automatically rotated 30 days before expiration.

formatdate-time

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20not_after">Link to this property</a>

public\_certificate: string

PEM-encoded X.509 certificate containing the public key. Configure this certificate in your external SAML Identity Provider to enable encryption.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20public_certificate">Link to this property</a>

uid: string

Unique identifier for the certificate

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate%20%3E%20(property)%20uid">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20current_certificate">Link to this property</a>

previous\_certificate: optional unknown

The previous certificate, maintained during rotation to ensure continuity. Null if no rotation has occurred. Mirrors the structure of <code>saml_certificate</code>.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set%20%3E%20(property)%20previous_certificate">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set">Link to this property</a>

saml\_certificate\_set\_id: optional string

The UID of the SAML encryption certificate set assigned to this Identity Provider. Only present for SAML identity providers with encryption configured. Create a certificate set via POST to <code>/identity_providers/{id}/saml_certificate</code>.

formatuuid

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20saml_certificate_set_id">Link to this property</a>

<details>

<summary>

scim\_config: optional <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)">IdentityProviderSCIMConfig</a> { enabled, identity\_update\_behavior, scim\_base\_url, 3 more }

The configuration settings for enabling a System for Cross-Domain Identity Management (SCIM) with the identity provider.

</summary>

enabled: optional boolean

A flag to enable or disable SCIM for the identity provider.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

<details>

<summary>

identity\_update\_behavior: optional "automatic"or "reauth"or "no\_action"

Indicates how a SCIM event updates a user identity used for policy evaluation. Use “automatic” to automatically update a user’s identity and augment it with fields from the SCIM user resource. Use “reauth” to force re-authentication on group membership updates, user identity update will only occur after successful re-authentication. With “reauth” identities will not contain fields from the SCIM user resource. With “no\_action” identities will not be changed by SCIM updates in any way and users will not be prompted to reauthenticate.

</summary>

One of the following:

"automatic"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%200">Link to this property</a>

"reauth"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%201">Link to this property</a>

"no\_action"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20identity_update_behavior">Link to this property</a>

scim\_base\_url: optional string

The base URL of Cloudflare’s SCIM V2.0 API endpoint.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20scim_base_url">Link to this property</a>

seat\_deprovision: optional boolean

A flag to remove a user’s seat in Zero Trust when they have been deprovisioned in the Identity Provider. This cannot be enabled unless user\_deprovision is also enabled.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20seat_deprovision">Link to this property</a>

secret: optional string

A read-only token generated when the SCIM integration is enabled for the first time. It is redacted on subsequent requests. If you lose this you will need to refresh it at /access/identity\_providers/:idpID/refresh\_scim\_secret.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20secret">Link to this property</a>

user\_deprovision: optional boolean

A flag to enable revoking a user’s session in Access and Gateway when they have been deprovisioned in the Identity Provider.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_scim_config%20%3E%20(schema)%20%3E%20(property)%20user_deprovision">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20scim_config">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%203">Link to this property</a>

<details>

<summary>

AccessGoogle object {config, name, type, 5 more }

</summary>

<details>

<summary>

config: object {claims, client\_id, client\_secret, email\_claim\_name }

The configuration parameters for the identity provider. To view the required parameters for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

claims: optional array of string

Custom claims

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20config%20%3E%20(property)%20claims">Link to this property</a>

client\_id: optional string

Your OAuth Client ID

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20config%20%3E%20(property)%20client_id">Link to this property</a>

client\_secret: optional string

Your OAuth Client Secret

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20config%20%3E%20(property)%20client_secret">Link to this property</a>

email\_claim\_name: optional string

The claim name for email in the id\_token response.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20config%20%3E%20(property)%20email_claim_name">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20config">Link to this property</a>

name: string

The name of the identity provider, shown to users on the login page.

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type: <a href="https://developers.cloudflare.com/api/resources/zero_trust#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)">IdentityProviderType</a>

The type of identity provider. To determine the value for a specific provider, refer to our <a href="https://developers.cloudflare.com/cloudflare-one/identity/idp-integration/">developer documentation</a>.

</summary>

One of the following:

"onetimepin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"azureAD"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"saml"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"centrify"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

"facebook"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

"github"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

"google-apps"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%206">Link to this property</a>

"google"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%207">Link to this property</a>

"linkedin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%208">Link to this property</a>

"oidc"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%209">Link to this property</a>

"okta"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2010">Link to this property</a>

"onelogin"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2011">Link to this property</a>

"pingone"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2012">Link to this property</a>

"yandex"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2013">Link to this property</a>

"cloudflare"

<a href="#(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type%20%2B%20(resource)%20zero_trust.identity_providers%20%3E%20(model)%20identity_provider_type%20%3E%20(schema)%20%3E%20(member)%2014">Link to this property</a>

"passkeys"

[...]
